Get Contact
curl --request GET \
--url https://api.getoutbox.ai/contacts/{contact_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.getoutbox.ai/contacts/{contact_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.getoutbox.ai/contacts/{contact_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"business_name": "<string>",
"notes": "<string>",
"active_chat_agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true
},
"tags": [
"<string>"
],
"lead_source": "manual",
"is_dnd": true,
"profile_picture_url": "<string>",
"last_activity": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"recent_activity": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"status": "<string>",
"direction": "<string>",
"duration": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}Contact Endpoints
Get Contact
Retrieve detailed information about a specific contact including recent activity (up to 3 most recent AgentThread rows). active_chat_agent may be null.
GET
/
contacts
/
{contact_id}
/
Get Contact
Authorizations
Company API Key
Path Parameters
The ID of the contact
Query Parameters
If true, returns 404 when the contact has no phone number
Response
Contact details retrieved successfully
May be null when no active chat agent is assigned.
Show child attributes
Show child attributes
Available options:
manual, api, webhook, facebook, instagram, import Up to 3 most recent AgentThread rows for this contact.
Show child attributes
Show child attributes

